Subject: Re: bug#47214: [core-updates] gnu: python: Remove unnecessary files
From: Julien Lepiller <[email-masked]>
To: Ludovic Courtès <[email-masked]>
Cc: [email-masked]
Date: Fri, 11 Jun 2021 03:01:26 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Le Thu, 03 Jun 2021 11:46:44 +0200,
Ludovic Courtès <[email-masked]> a écrit :

> Hi,
> 
> Julien Lepiller <[email-masked]> skribis:
> 
> > Le Fri, 19 Mar 2021 13:27:06 +0100,
> > Ludovic Courtès <[email-masked]> a écrit :
> >  
> >> > From 0d2d9a32cbbf24eadf74271b2fb1304b7a72d281 Mon Sep 17 00:00:00
> >> > 2001 From: Julien Lepiller <[email-masked]>
> >> > Date: Wed, 17 Mar 2021 13:33:22 +0100
> >> > Subject: [PATCH 1/2] gnu: python: Remove unnecessary files.
> >> >
> >> > * gnu/packages/python.scm (python2)[arguments]: Remove files
> >> > built during the test phase.
> >> > (python3)[arguments]: Also remove windows binaries shipped with
> >> > the sources.    
> >> 
> >> Unless it causes bootstrapping issues, I recommend removing those
> >> files from a snippet so that ‘guix build -S python’ returns the
> >> cleaned-up source.  
> 
> [...]
> 
> > Hi, sorry for the late reply. I need to use unzip on these files to
> > remove some of their content, and rezip them later. How can I do
> > that from a snippet?  
> 
> Oh right, the bit that unzips/rezips .whl files cannot easily be done
> from a snippet, so better keep it as a phase.
> 
> Deleting *.exe can be done from a snippet though.
> 
> BTW, the patch reads:
> 
>    (find-files "Lib/distutils/command" ".*.exe$")
> 
> but the regexp should be:
> 
>   "\\.exe$"
> 
> (“.*” is unnecessary, but the dot before “exe” must be protected.)
> 
> Likewise for:
> 
>   (find-files "Lib/ensurepip" ".*.whl$")
> 
> Thanks,
> Ludo’.

Fixed, and pushed as 20d52562e5c943b30e48e310b58b94054c3a54e5 to
core-updates.